import { CookieJar } from "tough-cookie";
export interface AuthUserInfo {
    cookie: CookieJar.Serialized;
    isMultifactor: boolean;
    login_token: string;
    access_token: string;
    id_token: string;
    session_state: string;
    entitlements_token: string;
}
export declare class AuthInstance implements Omit<AuthUserInfo, "cookie"> {
    cookie: CookieJar;
    isMultifactor: boolean;
    login_token: string;
    access_token: string;
    id_token: string;
    session_state: string;
    entitlements_token: string;
    subject: string;
    expirationDate: Date;
    get isAuthenticated(): boolean;
    constructor(user?: AuthUserInfo);
    protected getTokenInfo(): void;
    toJSON(): AuthUserInfo;
}
