import type { Agent, AgentOptions } from "node:https";
import { AxiosHeaders } from "axios";
import type { AxiosRequestConfig, AxiosResponse, AxiosInstance } from "axios";
import type { CookieAgent, CookieAgentOptions } from "http-cookie-agent/http";
import type { CookieJar } from "tough-cookie";
import * as selfsigned from "selfsigned";
export type PromiseResponse<T> = Promise<Response<T>>;
export type Response<T> = AxiosResponse<T>;
export interface ClientPlatfrom {
    platformType: string;
    platformOS: string;
    platformOSVersion: string;
    platformChipset: string;
}
export interface RequestConfig {
    build?: string;
    version?: string;
    platform?: ClientPlatfrom;
    axiosConfig?: AxiosRequestConfig;
    agentConfig?: AgentOptions & CookieAgentOptions;
    certificate?: selfsigned.GenerateResult;
    cookie: CookieJar;
}
export declare class AuthRequest {
    readonly certificate: selfsigned.GenerateResult;
    readonly headers: AxiosHeaders;
    readonly agent: CookieAgent<Agent>;
    readonly defaultAxiosConfig: AxiosRequestConfig;
    constructor(config: RequestConfig);
    private get axiosConfig();
    static newUserAgent(build: string, app?: string, os?: string): string;
    create(): AxiosInstance;
    get<T>(url: string): Promise<AxiosResponse<T, any>>;
    post<T>(url: string, data?: any): Promise<AxiosResponse<T, any>>;
    put<T>(url: string, data?: any): Promise<AxiosResponse<T, any>>;
    delete<T>(url: string): Promise<AxiosResponse<T, any>>;
}
