"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getResponseCookies = getResponseCookies;
const tough_cookie_1 = require("tough-cookie");
// * mainly support bun
function getResponseCookies(response) {
    const header = response.headers["set-cookie"];
    if (!header) {
        return [];
    }
    const cookies = [];
    for (const string of header) {
        const cookie = tough_cookie_1.Cookie.parse(string);
        if (!cookie) {
            continue;
        }
        cookies.push(cookie);
    }
    return cookies;
}
